<?php

namespace domain\Order\OrderStatus;

use domain\_\AbstractBuilder;

class OrderStatusBuilder extends AbstractBuilder
{
    public function instanciateOrderStatus(string $alias, string $name): OrderStatus
    {
        $orderStatus = new OrderStatus();

        $orderStatus->setAlias($alias);
        $orderStatus->setName($name);

        return $orderStatus;
    }
}